Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  class Power[ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
- Implicits1
- Implicits2
- InternalInfo
- InternalInfoWrapper
- LowPriorityInternalInfo
- LowPriorityInternalInfoWrapper
- LowPriorityPrettifier
- MultiPrettifierClass
- PackageSlurper
- Prettifier
- PrettifierClass
- ReplUtilities
- RichInputStream
- RichReplString
- RichReplURL
- SinglePrettifierClass
- StringPrettifier
- SymSlurper

t

scala.tools.nsc.interpreter.Power

# Implicits2

###

#### trait Implicits2 extends Implicits1

Source
  Power.scala

Linear Supertypes
Implicits1, AnyRef, Any
Known Subclasses
ReplImplicits
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Implicits2
2. Implicits1
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class RichSymbol extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Implicits2 toany2stringadd[Implicits2] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Implicits2, B)
   Implicit
     This member is added by an implicit conversion from Implicits2 toArrowAssoc[Implicits2] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Implicits2) => Boolean, msg: => Any): Implicits2
   Implicit
     This member is added by an implicit conversion from Implicits2 toEnsuring[Implicits2] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Implicits2) => Boolean): Implicits2
   Implicit
     This member is added by an implicit conversion from Implicits2 toEnsuring[Implicits2] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Implicits2
    Implicit
      This member is added by an implicit conversion from Implicits2 toEnsuring[Implicits2] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Implicits2
    Implicit
      This member is added by an implicit conversion from Implicits2 toEnsuring[Implicits2] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Implicits2 toStringFormat[Implicits2] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  implicit lazy val powerSymbolOrdering: Ordering[Global.Symbol]
23.  implicit lazy val powerTypeOrdering: Ordering[Global.Type]
24.  implicit def replEnhancedStrings(s: String): RichReplString
25.  implicit def replEnhancedURLs(url: URL)(implicit codec: Codec): RichReplURL
26.  implicit def replInputStream(in: InputStream)(implicit codec: Codec): RichInputStream
27.  implicit def replInternalInfo[T](x: T)(implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): InternalInfoWrapper[T]
28.  implicit def replMultiPrinting[T](xs: IterableOnce[T])(implicit arg0: Prettifier[T]): MultiPrettifierClass[T]
29.  implicit def replPrettifier[T]: Prettifier[T]
30.  implicit def replPrinting[T](x: T)(implicit pretty: Prettifier[T] = Prettifier.default[T]): SinglePrettifierClass[T]
    Definition Classes
      Implicits1
31.  implicit def replTypeApplication(sym: Global.Symbol): RichSymbol
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
37.  object symbolSubtypeOrdering extends Ordering[Global.Symbol]

### Deprecated Value Members

1.  def →[B](y: B): (Implicits2, B)
   Implicit
     This member is added by an implicit conversion from Implicits2 toArrowAssoc[Implicits2] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Implicits1

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromImplicits2 to any2stringadd[Implicits2]

### Inherited by implicit conversion StringFormat fromImplicits2 to StringFormat[Implicits2]

### Inherited by implicit conversion Ensuring fromImplicits2 to Ensuring[Implicits2]

### Inherited by implicit conversion ArrowAssoc fromImplicits2 to ArrowAssoc[Implicits2]

### Ungrouped